IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network232.128.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
232.128.0.0- Broadcast address
232.159.255.255- First usable
232.128.0.1- Last usable
232.159.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E8800000· Integer3900702720to3902799871 - Reverse DNS zones
128.232.in-addr.arpa129.232.in-addr.arpa130.232.in-addr.arpa131.232.in-addr.arpa132.232.in-addr.arpa133.232.in-addr.arpa134.232.in-addr.arpa135.232.in-addr.arpa136.232.in-addr.arpa137.232.in-addr.arpa138.232.in-addr.arpa139.232.in-addr.arpa140.232.in-addr.arpa141.232.in-addr.arpa142.232.in-addr.arpa143.232.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101000.10000000.00000000.00000000 | 232.128.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 11101000.10000000.00000000.00000000 | 232.128.0.0 |
| Broadcast | 11101000.10011111.11111111.11111111 | 232.159.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
232.128.0.0/11 makes 512 subnets of /20; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 232.128.0.0/20 | 232.128.0.1 to 232.128.15.254 | 232.128.15.255 | 4,094 |
| 2 | 232.128.16.0/20 | 232.128.16.1 to 232.128.31.254 | 232.128.31.255 | 4,094 |
| 3 | 232.128.32.0/20 | 232.128.32.1 to 232.128.47.254 | 232.128.47.255 | 4,094 |
| 4 | 232.128.48.0/20 | 232.128.48.1 to 232.128.63.254 | 232.128.63.255 | 4,094 |
| 5 | 232.128.64.0/20 | 232.128.64.1 to 232.128.79.254 | 232.128.79.255 | 4,094 |
| 6 | 232.128.80.0/20 | 232.128.80.1 to 232.128.95.254 | 232.128.95.255 | 4,094 |
| 7 | 232.128.96.0/20 | 232.128.96.1 to 232.128.111.254 | 232.128.111.255 | 4,094 |
| 8 | 232.128.112.0/20 | 232.128.112.1 to 232.128.127.254 | 232.128.127.255 | 4,094 |
| 9 | 232.128.128.0/20 | 232.128.128.1 to 232.128.143.254 | 232.128.143.255 | 4,094 |
| 10 | 232.128.144.0/20 | 232.128.144.1 to 232.128.159.254 | 232.128.159.255 | 4,094 |
| 11 | 232.128.160.0/20 | 232.128.160.1 to 232.128.175.254 | 232.128.175.255 | 4,094 |
| 12 | 232.128.176.0/20 | 232.128.176.1 to 232.128.191.254 | 232.128.191.255 | 4,094 |
| 13 | 232.128.192.0/20 | 232.128.192.1 to 232.128.207.254 | 232.128.207.255 | 4,094 |
| 14 | 232.128.208.0/20 | 232.128.208.1 to 232.128.223.254 | 232.128.223.255 | 4,094 |
| 15 | 232.128.224.0/20 | 232.128.224.1 to 232.128.239.254 | 232.128.239.255 | 4,094 |
| 16 | 232.128.240.0/20 | 232.128.240.1 to 232.128.255.254 | 232.128.255.255 | 4,094 |
| 17 | 232.129.0.0/20 | 232.129.0.1 to 232.129.15.254 | 232.129.15.255 | 4,094 |
| 18 | 232.129.16.0/20 | 232.129.16.1 to 232.129.31.254 | 232.129.31.255 | 4,094 |
| 19 | 232.129.32.0/20 | 232.129.32.1 to 232.129.47.254 | 232.129.47.255 | 4,094 |
| 20 | 232.129.48.0/20 | 232.129.48.1 to 232.129.63.254 | 232.129.63.255 | 4,094 |
| 21 | 232.129.64.0/20 | 232.129.64.1 to 232.129.79.254 | 232.129.79.255 | 4,094 |
| 22 | 232.129.80.0/20 | 232.129.80.1 to 232.129.95.254 | 232.129.95.255 | 4,094 |
| 23 | 232.129.96.0/20 | 232.129.96.1 to 232.129.111.254 | 232.129.111.255 | 4,094 |
| 24 | 232.129.112.0/20 | 232.129.112.1 to 232.129.127.254 | 232.129.127.255 | 4,094 |
| 25 | 232.129.128.0/20 | 232.129.128.1 to 232.129.143.254 | 232.129.143.255 | 4,094 |
| 26 | 232.129.144.0/20 | 232.129.144.1 to 232.129.159.254 | 232.129.159.255 | 4,094 |
| 27 | 232.129.160.0/20 | 232.129.160.1 to 232.129.175.254 | 232.129.175.255 | 4,094 |
| 28 | 232.129.176.0/20 | 232.129.176.1 to 232.129.191.254 | 232.129.191.255 | 4,094 |
| 29 | 232.129.192.0/20 | 232.129.192.1 to 232.129.207.254 | 232.129.207.255 | 4,094 |
| 30 | 232.129.208.0/20 | 232.129.208.1 to 232.129.223.254 | 232.129.223.255 | 4,094 |
| 31 | 232.129.224.0/20 | 232.129.224.1 to 232.129.239.254 | 232.129.239.255 | 4,094 |
| 32 | 232.129.240.0/20 | 232.129.240.1 to 232.129.255.254 | 232.129.255.255 | 4,094 |
| 33 | 232.130.0.0/20 | 232.130.0.1 to 232.130.15.254 | 232.130.15.255 | 4,094 |
| 34 | 232.130.16.0/20 | 232.130.16.1 to 232.130.31.254 | 232.130.31.255 | 4,094 |
| 35 | 232.130.32.0/20 | 232.130.32.1 to 232.130.47.254 | 232.130.47.255 | 4,094 |
| 36 | 232.130.48.0/20 | 232.130.48.1 to 232.130.63.254 | 232.130.63.255 | 4,094 |
| 37 | 232.130.64.0/20 | 232.130.64.1 to 232.130.79.254 | 232.130.79.255 | 4,094 |
| 38 | 232.130.80.0/20 | 232.130.80.1 to 232.130.95.254 | 232.130.95.255 | 4,094 |
| 39 | 232.130.96.0/20 | 232.130.96.1 to 232.130.111.254 | 232.130.111.255 | 4,094 |
| 40 | 232.130.112.0/20 | 232.130.112.1 to 232.130.127.254 | 232.130.127.255 | 4,094 |
| 41 | 232.130.128.0/20 | 232.130.128.1 to 232.130.143.254 | 232.130.143.255 | 4,094 |
| 42 | 232.130.144.0/20 | 232.130.144.1 to 232.130.159.254 | 232.130.159.255 | 4,094 |
| 43 | 232.130.160.0/20 | 232.130.160.1 to 232.130.175.254 | 232.130.175.255 | 4,094 |
| 44 | 232.130.176.0/20 | 232.130.176.1 to 232.130.191.254 | 232.130.191.255 | 4,094 |
| 45 | 232.130.192.0/20 | 232.130.192.1 to 232.130.207.254 | 232.130.207.255 | 4,094 |
| 46 | 232.130.208.0/20 | 232.130.208.1 to 232.130.223.254 | 232.130.223.255 | 4,094 |
| 47 | 232.130.224.0/20 | 232.130.224.1 to 232.130.239.254 | 232.130.239.255 | 4,094 |
| 48 | 232.130.240.0/20 | 232.130.240.1 to 232.130.255.254 | 232.130.255.255 | 4,094 |
| 49 | 232.131.0.0/20 | 232.131.0.1 to 232.131.15.254 | 232.131.15.255 | 4,094 |
| 50 | 232.131.16.0/20 | 232.131.16.1 to 232.131.31.254 | 232.131.31.255 | 4,094 |
| 51 | 232.131.32.0/20 | 232.131.32.1 to 232.131.47.254 | 232.131.47.255 | 4,094 |
| 52 | 232.131.48.0/20 | 232.131.48.1 to 232.131.63.254 | 232.131.63.255 | 4,094 |
| 53 | 232.131.64.0/20 | 232.131.64.1 to 232.131.79.254 | 232.131.79.255 | 4,094 |
| 54 | 232.131.80.0/20 | 232.131.80.1 to 232.131.95.254 | 232.131.95.255 | 4,094 |
| 55 | 232.131.96.0/20 | 232.131.96.1 to 232.131.111.254 | 232.131.111.255 | 4,094 |
| 56 | 232.131.112.0/20 | 232.131.112.1 to 232.131.127.254 | 232.131.127.255 | 4,094 |
| 57 | 232.131.128.0/20 | 232.131.128.1 to 232.131.143.254 | 232.131.143.255 | 4,094 |
| 58 | 232.131.144.0/20 | 232.131.144.1 to 232.131.159.254 | 232.131.159.255 | 4,094 |
| 59 | 232.131.160.0/20 | 232.131.160.1 to 232.131.175.254 | 232.131.175.255 | 4,094 |
| 60 | 232.131.176.0/20 | 232.131.176.1 to 232.131.191.254 | 232.131.191.255 | 4,094 |
| 61 | 232.131.192.0/20 | 232.131.192.1 to 232.131.207.254 | 232.131.207.255 | 4,094 |
| 62 | 232.131.208.0/20 | 232.131.208.1 to 232.131.223.254 | 232.131.223.255 | 4,094 |
| 63 | 232.131.224.0/20 | 232.131.224.1 to 232.131.239.254 | 232.131.239.255 | 4,094 |
| 64 | 232.131.240.0/20 | 232.131.240.1 to 232.131.255.254 | 232.131.255.255 | 4,094 |
| 65 | 232.132.0.0/20 | 232.132.0.1 to 232.132.15.254 | 232.132.15.255 | 4,094 |
| 66 | 232.132.16.0/20 | 232.132.16.1 to 232.132.31.254 | 232.132.31.255 | 4,094 |
| 67 | 232.132.32.0/20 | 232.132.32.1 to 232.132.47.254 | 232.132.47.255 | 4,094 |
| 68 | 232.132.48.0/20 | 232.132.48.1 to 232.132.63.254 | 232.132.63.255 | 4,094 |
| 69 | 232.132.64.0/20 | 232.132.64.1 to 232.132.79.254 | 232.132.79.255 | 4,094 |
| 70 | 232.132.80.0/20 | 232.132.80.1 to 232.132.95.254 | 232.132.95.255 | 4,094 |
| 71 | 232.132.96.0/20 | 232.132.96.1 to 232.132.111.254 | 232.132.111.255 | 4,094 |
| 72 | 232.132.112.0/20 | 232.132.112.1 to 232.132.127.254 | 232.132.127.255 | 4,094 |
| 73 | 232.132.128.0/20 | 232.132.128.1 to 232.132.143.254 | 232.132.143.255 | 4,094 |
| 74 | 232.132.144.0/20 | 232.132.144.1 to 232.132.159.254 | 232.132.159.255 | 4,094 |
| 75 | 232.132.160.0/20 | 232.132.160.1 to 232.132.175.254 | 232.132.175.255 | 4,094 |
| 76 | 232.132.176.0/20 | 232.132.176.1 to 232.132.191.254 | 232.132.191.255 | 4,094 |
| 77 | 232.132.192.0/20 | 232.132.192.1 to 232.132.207.254 | 232.132.207.255 | 4,094 |
| 78 | 232.132.208.0/20 | 232.132.208.1 to 232.132.223.254 | 232.132.223.255 | 4,094 |
| 79 | 232.132.224.0/20 | 232.132.224.1 to 232.132.239.254 | 232.132.239.255 | 4,094 |
| 80 | 232.132.240.0/20 | 232.132.240.1 to 232.132.255.254 | 232.132.255.255 | 4,094 |
| 81 | 232.133.0.0/20 | 232.133.0.1 to 232.133.15.254 | 232.133.15.255 | 4,094 |
| 82 | 232.133.16.0/20 | 232.133.16.1 to 232.133.31.254 | 232.133.31.255 | 4,094 |
| 83 | 232.133.32.0/20 | 232.133.32.1 to 232.133.47.254 | 232.133.47.255 | 4,094 |
| 84 | 232.133.48.0/20 | 232.133.48.1 to 232.133.63.254 | 232.133.63.255 | 4,094 |
| 85 | 232.133.64.0/20 | 232.133.64.1 to 232.133.79.254 | 232.133.79.255 | 4,094 |
| 86 | 232.133.80.0/20 | 232.133.80.1 to 232.133.95.254 | 232.133.95.255 | 4,094 |
| 87 | 232.133.96.0/20 | 232.133.96.1 to 232.133.111.254 | 232.133.111.255 | 4,094 |
| 88 | 232.133.112.0/20 | 232.133.112.1 to 232.133.127.254 | 232.133.127.255 | 4,094 |
| 89 | 232.133.128.0/20 | 232.133.128.1 to 232.133.143.254 | 232.133.143.255 | 4,094 |
| 90 | 232.133.144.0/20 | 232.133.144.1 to 232.133.159.254 | 232.133.159.255 | 4,094 |
| 91 | 232.133.160.0/20 | 232.133.160.1 to 232.133.175.254 | 232.133.175.255 | 4,094 |
| 92 | 232.133.176.0/20 | 232.133.176.1 to 232.133.191.254 | 232.133.191.255 | 4,094 |
| 93 | 232.133.192.0/20 | 232.133.192.1 to 232.133.207.254 | 232.133.207.255 | 4,094 |
| 94 | 232.133.208.0/20 | 232.133.208.1 to 232.133.223.254 | 232.133.223.255 | 4,094 |
| 95 | 232.133.224.0/20 | 232.133.224.1 to 232.133.239.254 | 232.133.239.255 | 4,094 |
| 96 | 232.133.240.0/20 | 232.133.240.1 to 232.133.255.254 | 232.133.255.255 | 4,094 |
| 97 | 232.134.0.0/20 | 232.134.0.1 to 232.134.15.254 | 232.134.15.255 | 4,094 |
| 98 | 232.134.16.0/20 | 232.134.16.1 to 232.134.31.254 | 232.134.31.255 | 4,094 |
| 99 | 232.134.32.0/20 | 232.134.32.1 to 232.134.47.254 | 232.134.47.255 | 4,094 |
| 100 | 232.134.48.0/20 | 232.134.48.1 to 232.134.63.254 | 232.134.63.255 | 4,094 |
| 101 | 232.134.64.0/20 | 232.134.64.1 to 232.134.79.254 | 232.134.79.255 | 4,094 |
| 102 | 232.134.80.0/20 | 232.134.80.1 to 232.134.95.254 | 232.134.95.255 | 4,094 |
| 103 | 232.134.96.0/20 | 232.134.96.1 to 232.134.111.254 | 232.134.111.255 | 4,094 |
| 104 | 232.134.112.0/20 | 232.134.112.1 to 232.134.127.254 | 232.134.127.255 | 4,094 |
| 105 | 232.134.128.0/20 | 232.134.128.1 to 232.134.143.254 | 232.134.143.255 | 4,094 |
| 106 | 232.134.144.0/20 | 232.134.144.1 to 232.134.159.254 | 232.134.159.255 | 4,094 |
| 107 | 232.134.160.0/20 | 232.134.160.1 to 232.134.175.254 | 232.134.175.255 | 4,094 |
| 108 | 232.134.176.0/20 | 232.134.176.1 to 232.134.191.254 | 232.134.191.255 | 4,094 |
| 109 | 232.134.192.0/20 | 232.134.192.1 to 232.134.207.254 | 232.134.207.255 | 4,094 |
| 110 | 232.134.208.0/20 | 232.134.208.1 to 232.134.223.254 | 232.134.223.255 | 4,094 |
| 111 | 232.134.224.0/20 | 232.134.224.1 to 232.134.239.254 | 232.134.239.255 | 4,094 |
| 112 | 232.134.240.0/20 | 232.134.240.1 to 232.134.255.254 | 232.134.255.255 | 4,094 |
| 113 | 232.135.0.0/20 | 232.135.0.1 to 232.135.15.254 | 232.135.15.255 | 4,094 |
| 114 | 232.135.16.0/20 | 232.135.16.1 to 232.135.31.254 | 232.135.31.255 | 4,094 |
| 115 | 232.135.32.0/20 | 232.135.32.1 to 232.135.47.254 | 232.135.47.255 | 4,094 |
| 116 | 232.135.48.0/20 | 232.135.48.1 to 232.135.63.254 | 232.135.63.255 | 4,094 |
| 117 | 232.135.64.0/20 | 232.135.64.1 to 232.135.79.254 | 232.135.79.255 | 4,094 |
| 118 | 232.135.80.0/20 | 232.135.80.1 to 232.135.95.254 | 232.135.95.255 | 4,094 |
| 119 | 232.135.96.0/20 | 232.135.96.1 to 232.135.111.254 | 232.135.111.255 | 4,094 |
| 120 | 232.135.112.0/20 | 232.135.112.1 to 232.135.127.254 | 232.135.127.255 | 4,094 |
| 121 | 232.135.128.0/20 | 232.135.128.1 to 232.135.143.254 | 232.135.143.255 | 4,094 |
| 122 | 232.135.144.0/20 | 232.135.144.1 to 232.135.159.254 | 232.135.159.255 | 4,094 |
| 123 | 232.135.160.0/20 | 232.135.160.1 to 232.135.175.254 | 232.135.175.255 | 4,094 |
| 124 | 232.135.176.0/20 | 232.135.176.1 to 232.135.191.254 | 232.135.191.255 | 4,094 |
| 125 | 232.135.192.0/20 | 232.135.192.1 to 232.135.207.254 | 232.135.207.255 | 4,094 |
| 126 | 232.135.208.0/20 | 232.135.208.1 to 232.135.223.254 | 232.135.223.255 | 4,094 |
| 127 | 232.135.224.0/20 | 232.135.224.1 to 232.135.239.254 | 232.135.239.255 | 4,094 |
| 128 | 232.135.240.0/20 | 232.135.240.1 to 232.135.255.254 | 232.135.255.255 | 4,094 |
| 129 | 232.136.0.0/20 | 232.136.0.1 to 232.136.15.254 | 232.136.15.255 | 4,094 |
| 130 | 232.136.16.0/20 | 232.136.16.1 to 232.136.31.254 | 232.136.31.255 | 4,094 |
| 131 | 232.136.32.0/20 | 232.136.32.1 to 232.136.47.254 | 232.136.47.255 | 4,094 |
| 132 | 232.136.48.0/20 | 232.136.48.1 to 232.136.63.254 | 232.136.63.255 | 4,094 |
| 133 | 232.136.64.0/20 | 232.136.64.1 to 232.136.79.254 | 232.136.79.255 | 4,094 |
| 134 | 232.136.80.0/20 | 232.136.80.1 to 232.136.95.254 | 232.136.95.255 | 4,094 |
| 135 | 232.136.96.0/20 | 232.136.96.1 to 232.136.111.254 | 232.136.111.255 | 4,094 |
| 136 | 232.136.112.0/20 | 232.136.112.1 to 232.136.127.254 | 232.136.127.255 | 4,094 |
| 137 | 232.136.128.0/20 | 232.136.128.1 to 232.136.143.254 | 232.136.143.255 | 4,094 |
| 138 | 232.136.144.0/20 | 232.136.144.1 to 232.136.159.254 | 232.136.159.255 | 4,094 |
| 139 | 232.136.160.0/20 | 232.136.160.1 to 232.136.175.254 | 232.136.175.255 | 4,094 |
| 140 | 232.136.176.0/20 | 232.136.176.1 to 232.136.191.254 | 232.136.191.255 | 4,094 |
| 141 | 232.136.192.0/20 | 232.136.192.1 to 232.136.207.254 | 232.136.207.255 | 4,094 |
| 142 | 232.136.208.0/20 | 232.136.208.1 to 232.136.223.254 | 232.136.223.255 | 4,094 |
| 143 | 232.136.224.0/20 | 232.136.224.1 to 232.136.239.254 | 232.136.239.255 | 4,094 |
| 144 | 232.136.240.0/20 | 232.136.240.1 to 232.136.255.254 | 232.136.255.255 | 4,094 |
| 145 | 232.137.0.0/20 | 232.137.0.1 to 232.137.15.254 | 232.137.15.255 | 4,094 |
| 146 | 232.137.16.0/20 | 232.137.16.1 to 232.137.31.254 | 232.137.31.255 | 4,094 |
| 147 | 232.137.32.0/20 | 232.137.32.1 to 232.137.47.254 | 232.137.47.255 | 4,094 |
| 148 | 232.137.48.0/20 | 232.137.48.1 to 232.137.63.254 | 232.137.63.255 | 4,094 |
| 149 | 232.137.64.0/20 | 232.137.64.1 to 232.137.79.254 | 232.137.79.255 | 4,094 |
| 150 | 232.137.80.0/20 | 232.137.80.1 to 232.137.95.254 | 232.137.95.255 | 4,094 |
| 151 | 232.137.96.0/20 | 232.137.96.1 to 232.137.111.254 | 232.137.111.255 | 4,094 |
| 152 | 232.137.112.0/20 | 232.137.112.1 to 232.137.127.254 | 232.137.127.255 | 4,094 |
| 153 | 232.137.128.0/20 | 232.137.128.1 to 232.137.143.254 | 232.137.143.255 | 4,094 |
| 154 | 232.137.144.0/20 | 232.137.144.1 to 232.137.159.254 | 232.137.159.255 | 4,094 |
| 155 | 232.137.160.0/20 | 232.137.160.1 to 232.137.175.254 | 232.137.175.255 | 4,094 |
| 156 | 232.137.176.0/20 | 232.137.176.1 to 232.137.191.254 | 232.137.191.255 | 4,094 |
| 157 | 232.137.192.0/20 | 232.137.192.1 to 232.137.207.254 | 232.137.207.255 | 4,094 |
| 158 | 232.137.208.0/20 | 232.137.208.1 to 232.137.223.254 | 232.137.223.255 | 4,094 |
| 159 | 232.137.224.0/20 | 232.137.224.1 to 232.137.239.254 | 232.137.239.255 | 4,094 |
| 160 | 232.137.240.0/20 | 232.137.240.1 to 232.137.255.254 | 232.137.255.255 | 4,094 |
| 161 | 232.138.0.0/20 | 232.138.0.1 to 232.138.15.254 | 232.138.15.255 | 4,094 |
| 162 | 232.138.16.0/20 | 232.138.16.1 to 232.138.31.254 | 232.138.31.255 | 4,094 |
| 163 | 232.138.32.0/20 | 232.138.32.1 to 232.138.47.254 | 232.138.47.255 | 4,094 |
| 164 | 232.138.48.0/20 | 232.138.48.1 to 232.138.63.254 | 232.138.63.255 | 4,094 |
| 165 | 232.138.64.0/20 | 232.138.64.1 to 232.138.79.254 | 232.138.79.255 | 4,094 |
| 166 | 232.138.80.0/20 | 232.138.80.1 to 232.138.95.254 | 232.138.95.255 | 4,094 |
| 167 | 232.138.96.0/20 | 232.138.96.1 to 232.138.111.254 | 232.138.111.255 | 4,094 |
| 168 | 232.138.112.0/20 | 232.138.112.1 to 232.138.127.254 | 232.138.127.255 | 4,094 |
| 169 | 232.138.128.0/20 | 232.138.128.1 to 232.138.143.254 | 232.138.143.255 | 4,094 |
| 170 | 232.138.144.0/20 | 232.138.144.1 to 232.138.159.254 | 232.138.159.255 | 4,094 |
| 171 | 232.138.160.0/20 | 232.138.160.1 to 232.138.175.254 | 232.138.175.255 | 4,094 |
| 172 | 232.138.176.0/20 | 232.138.176.1 to 232.138.191.254 | 232.138.191.255 | 4,094 |
| 173 | 232.138.192.0/20 | 232.138.192.1 to 232.138.207.254 | 232.138.207.255 | 4,094 |
| 174 | 232.138.208.0/20 | 232.138.208.1 to 232.138.223.254 | 232.138.223.255 | 4,094 |
| 175 | 232.138.224.0/20 | 232.138.224.1 to 232.138.239.254 | 232.138.239.255 | 4,094 |
| 176 | 232.138.240.0/20 | 232.138.240.1 to 232.138.255.254 | 232.138.255.255 | 4,094 |
| 177 | 232.139.0.0/20 | 232.139.0.1 to 232.139.15.254 | 232.139.15.255 | 4,094 |
| 178 | 232.139.16.0/20 | 232.139.16.1 to 232.139.31.254 | 232.139.31.255 | 4,094 |
| 179 | 232.139.32.0/20 | 232.139.32.1 to 232.139.47.254 | 232.139.47.255 | 4,094 |
| 180 | 232.139.48.0/20 | 232.139.48.1 to 232.139.63.254 | 232.139.63.255 | 4,094 |
| 181 | 232.139.64.0/20 | 232.139.64.1 to 232.139.79.254 | 232.139.79.255 | 4,094 |
| 182 | 232.139.80.0/20 | 232.139.80.1 to 232.139.95.254 | 232.139.95.255 | 4,094 |
| 183 | 232.139.96.0/20 | 232.139.96.1 to 232.139.111.254 | 232.139.111.255 | 4,094 |
| 184 | 232.139.112.0/20 | 232.139.112.1 to 232.139.127.254 | 232.139.127.255 | 4,094 |
| 185 | 232.139.128.0/20 | 232.139.128.1 to 232.139.143.254 | 232.139.143.255 | 4,094 |
| 186 | 232.139.144.0/20 | 232.139.144.1 to 232.139.159.254 | 232.139.159.255 | 4,094 |
| 187 | 232.139.160.0/20 | 232.139.160.1 to 232.139.175.254 | 232.139.175.255 | 4,094 |
| 188 | 232.139.176.0/20 | 232.139.176.1 to 232.139.191.254 | 232.139.191.255 | 4,094 |
| 189 | 232.139.192.0/20 | 232.139.192.1 to 232.139.207.254 | 232.139.207.255 | 4,094 |
| 190 | 232.139.208.0/20 | 232.139.208.1 to 232.139.223.254 | 232.139.223.255 | 4,094 |
| 191 | 232.139.224.0/20 | 232.139.224.1 to 232.139.239.254 | 232.139.239.255 | 4,094 |
| 192 | 232.139.240.0/20 | 232.139.240.1 to 232.139.255.254 | 232.139.255.255 | 4,094 |
| 193 | 232.140.0.0/20 | 232.140.0.1 to 232.140.15.254 | 232.140.15.255 | 4,094 |
| 194 | 232.140.16.0/20 | 232.140.16.1 to 232.140.31.254 | 232.140.31.255 | 4,094 |
| 195 | 232.140.32.0/20 | 232.140.32.1 to 232.140.47.254 | 232.140.47.255 | 4,094 |
| 196 | 232.140.48.0/20 | 232.140.48.1 to 232.140.63.254 | 232.140.63.255 | 4,094 |
| 197 | 232.140.64.0/20 | 232.140.64.1 to 232.140.79.254 | 232.140.79.255 | 4,094 |
| 198 | 232.140.80.0/20 | 232.140.80.1 to 232.140.95.254 | 232.140.95.255 | 4,094 |
| 199 | 232.140.96.0/20 | 232.140.96.1 to 232.140.111.254 | 232.140.111.255 | 4,094 |
| 200 | 232.140.112.0/20 | 232.140.112.1 to 232.140.127.254 | 232.140.127.255 | 4,094 |
| 201 | 232.140.128.0/20 | 232.140.128.1 to 232.140.143.254 | 232.140.143.255 | 4,094 |
| 202 | 232.140.144.0/20 | 232.140.144.1 to 232.140.159.254 | 232.140.159.255 | 4,094 |
| 203 | 232.140.160.0/20 | 232.140.160.1 to 232.140.175.254 | 232.140.175.255 | 4,094 |
| 204 | 232.140.176.0/20 | 232.140.176.1 to 232.140.191.254 | 232.140.191.255 | 4,094 |
| 205 | 232.140.192.0/20 | 232.140.192.1 to 232.140.207.254 | 232.140.207.255 | 4,094 |
| 206 | 232.140.208.0/20 | 232.140.208.1 to 232.140.223.254 | 232.140.223.255 | 4,094 |
| 207 | 232.140.224.0/20 | 232.140.224.1 to 232.140.239.254 | 232.140.239.255 | 4,094 |
| 208 | 232.140.240.0/20 | 232.140.240.1 to 232.140.255.254 | 232.140.255.255 | 4,094 |
| 209 | 232.141.0.0/20 | 232.141.0.1 to 232.141.15.254 | 232.141.15.255 | 4,094 |
| 210 | 232.141.16.0/20 | 232.141.16.1 to 232.141.31.254 | 232.141.31.255 | 4,094 |
| 211 | 232.141.32.0/20 | 232.141.32.1 to 232.141.47.254 | 232.141.47.255 | 4,094 |
| 212 | 232.141.48.0/20 | 232.141.48.1 to 232.141.63.254 | 232.141.63.255 | 4,094 |
| 213 | 232.141.64.0/20 | 232.141.64.1 to 232.141.79.254 | 232.141.79.255 | 4,094 |
| 214 | 232.141.80.0/20 | 232.141.80.1 to 232.141.95.254 | 232.141.95.255 | 4,094 |
| 215 | 232.141.96.0/20 | 232.141.96.1 to 232.141.111.254 | 232.141.111.255 | 4,094 |
| 216 | 232.141.112.0/20 | 232.141.112.1 to 232.141.127.254 | 232.141.127.255 | 4,094 |
| 217 | 232.141.128.0/20 | 232.141.128.1 to 232.141.143.254 | 232.141.143.255 | 4,094 |
| 218 | 232.141.144.0/20 | 232.141.144.1 to 232.141.159.254 | 232.141.159.255 | 4,094 |
| 219 | 232.141.160.0/20 | 232.141.160.1 to 232.141.175.254 | 232.141.175.255 | 4,094 |
| 220 | 232.141.176.0/20 | 232.141.176.1 to 232.141.191.254 | 232.141.191.255 | 4,094 |
| 221 | 232.141.192.0/20 | 232.141.192.1 to 232.141.207.254 | 232.141.207.255 | 4,094 |
| 222 | 232.141.208.0/20 | 232.141.208.1 to 232.141.223.254 | 232.141.223.255 | 4,094 |
| 223 | 232.141.224.0/20 | 232.141.224.1 to 232.141.239.254 | 232.141.239.255 | 4,094 |
| 224 | 232.141.240.0/20 | 232.141.240.1 to 232.141.255.254 | 232.141.255.255 | 4,094 |
| 225 | 232.142.0.0/20 | 232.142.0.1 to 232.142.15.254 | 232.142.15.255 | 4,094 |
| 226 | 232.142.16.0/20 | 232.142.16.1 to 232.142.31.254 | 232.142.31.255 | 4,094 |
| 227 | 232.142.32.0/20 | 232.142.32.1 to 232.142.47.254 | 232.142.47.255 | 4,094 |
| 228 | 232.142.48.0/20 | 232.142.48.1 to 232.142.63.254 | 232.142.63.255 | 4,094 |
| 229 | 232.142.64.0/20 | 232.142.64.1 to 232.142.79.254 | 232.142.79.255 | 4,094 |
| 230 | 232.142.80.0/20 | 232.142.80.1 to 232.142.95.254 | 232.142.95.255 | 4,094 |
| 231 | 232.142.96.0/20 | 232.142.96.1 to 232.142.111.254 | 232.142.111.255 | 4,094 |
| 232 | 232.142.112.0/20 | 232.142.112.1 to 232.142.127.254 | 232.142.127.255 | 4,094 |
| 233 | 232.142.128.0/20 | 232.142.128.1 to 232.142.143.254 | 232.142.143.255 | 4,094 |
| 234 | 232.142.144.0/20 | 232.142.144.1 to 232.142.159.254 | 232.142.159.255 | 4,094 |
| 235 | 232.142.160.0/20 | 232.142.160.1 to 232.142.175.254 | 232.142.175.255 | 4,094 |
| 236 | 232.142.176.0/20 | 232.142.176.1 to 232.142.191.254 | 232.142.191.255 | 4,094 |
| 237 | 232.142.192.0/20 | 232.142.192.1 to 232.142.207.254 | 232.142.207.255 | 4,094 |
| 238 | 232.142.208.0/20 | 232.142.208.1 to 232.142.223.254 | 232.142.223.255 | 4,094 |
| 239 | 232.142.224.0/20 | 232.142.224.1 to 232.142.239.254 | 232.142.239.255 | 4,094 |
| 240 | 232.142.240.0/20 | 232.142.240.1 to 232.142.255.254 | 232.142.255.255 | 4,094 |
| 241 | 232.143.0.0/20 | 232.143.0.1 to 232.143.15.254 | 232.143.15.255 | 4,094 |
| 242 | 232.143.16.0/20 | 232.143.16.1 to 232.143.31.254 | 232.143.31.255 | 4,094 |
| 243 | 232.143.32.0/20 | 232.143.32.1 to 232.143.47.254 | 232.143.47.255 | 4,094 |
| 244 | 232.143.48.0/20 | 232.143.48.1 to 232.143.63.254 | 232.143.63.255 | 4,094 |
| 245 | 232.143.64.0/20 | 232.143.64.1 to 232.143.79.254 | 232.143.79.255 | 4,094 |
| 246 | 232.143.80.0/20 | 232.143.80.1 to 232.143.95.254 | 232.143.95.255 | 4,094 |
| 247 | 232.143.96.0/20 | 232.143.96.1 to 232.143.111.254 | 232.143.111.255 | 4,094 |
| 248 | 232.143.112.0/20 | 232.143.112.1 to 232.143.127.254 | 232.143.127.255 | 4,094 |
| 249 | 232.143.128.0/20 | 232.143.128.1 to 232.143.143.254 | 232.143.143.255 | 4,094 |
| 250 | 232.143.144.0/20 | 232.143.144.1 to 232.143.159.254 | 232.143.159.255 | 4,094 |
| 251 | 232.143.160.0/20 | 232.143.160.1 to 232.143.175.254 | 232.143.175.255 | 4,094 |
| 252 | 232.143.176.0/20 | 232.143.176.1 to 232.143.191.254 | 232.143.191.255 | 4,094 |
| 253 | 232.143.192.0/20 | 232.143.192.1 to 232.143.207.254 | 232.143.207.255 | 4,094 |
| 254 | 232.143.208.0/20 | 232.143.208.1 to 232.143.223.254 | 232.143.223.255 | 4,094 |
| 255 | 232.143.224.0/20 | 232.143.224.1 to 232.143.239.254 | 232.143.239.255 | 4,094 |
| 256 | 232.143.240.0/20 | 232.143.240.1 to 232.143.255.254 | 232.143.255.255 | 4,094 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |